Name: 	 	gnome-photo-printer
Version: 	0.7.0
Release: 	%mkrel 3
Summary: 	Simple Photo Printer for Gnome
Source:		gpp-%{version}.tar.bz2
URL:		http://www.fogman.de/?GnomePhotoPrinter
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libgnomeui2-devel libglade2.0-devel
BuildRequires:	libgnomeprint-devel 
BuildRequires:  libgnomeprintui-devel
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	desktop-file-utils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
Gnome Photo Printer is intended for printing photos in an easy way.  Just
drag your Photos from Nautilus to the Gnome Photo Printer window and drop
it.  Make some selections like Photo or Paper size, hit Preview or Print,
and see your pictures printed.

%prep
%setup -q -n gpp-%{version}

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Gnome Photo Printer
Comment=Quick and simple photo printing
Exec=%{_bindir}/%{name} 
Icon=printing_section.png
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-Multimedia-Graphics;Graphics;Photography;Viewer;
EOF

%find_lang %{name}



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%{_datadir}/icons/hicolor/*/*/%{name}.svg

%changelog
* Wed Oct 28 2009 Texstar <texstar at gmail.com< 0.7.0-3pclos2010
- gcc update

* Sun Mar 15 2009 Texstar <texstar@gmail.com> 0.7.0-2pclos2007
- fix icon

* Sat Aug 16 2008 Slick50 <slick50@linuxgator.org> 0.7.0-1pclos2007
- initial build

